Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Install problem app on mac os x

Hi, I've installed the app (4.7.2) on my Mac (OS 10.6.8). When I launch the app I have the following error. Could someone provide me a simple fix please? (I'm really not fluent with the Unix commands...).

Thank you in advance.

Here is what have in the Terminal console:

Sage Version 4.7.2, Release Date: 2011-10-29
Type notebook() for the GUI, and license() for information.

Traceback (most recent call last): File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage//local/bin/sage-ipython", line 18, in <module> import IPython File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/__init__.py", line 58, in <module> __import__(name,glob,loc,[]) File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/ipstruct.py", line 17, in <module> from IPython.genutils import list2dict2 File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/genutils.py", line 26, in <module> import shlex File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python/shlex.py", line 12, in <module> from collections import deque File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module> from operator import itemgetter as _itemgetter ImportError: dlopen(/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString Referenced from: /Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so Expected in: flat namespace in /Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so

click to hide/show revision 2
No.2 Revision

updated 2011-12-06 02:03:19 -0500

kcrisman gravatar image

Install problem app on mac os x

Hi, I've installed the app (4.7.2) on my Mac (OS 10.6.8). When I launch the app I have the following error. Could someone provide me a simple fix please? (I'm really not fluent with the Unix commands...).

Thank you in advance.

Here is what have in the Terminal console:

Sage Version 4.7.2, Release Date: 2011-10-29 
Type notebook() for the GUI, and license() for information.

Traceback (most recent call last): File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage//local/bin/sage-ipython", line 18, in <module> import IPython File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/__init__.py", line 58, in <module> __import__(name,glob,loc,[]) File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/ipstruct.py", line 17, in <module> from IPython.genutils import list2dict2 File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/IPython/genutils.py", line 26, in <module> import shlex File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python/shlex.py", line 12, in <module> from collections import deque File "/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python/collections.py", line 9, in <module> from operator import itemgetter as _itemgetter ImportError: dlopen(/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so, 2): Symbol not found: __PyUnicodeUCS4_AsDefaultEncodedString Referenced from: /Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so Expected in: flat namespace in /Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so

/Applications/Sage-4.7.2-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/lib-dynload/operator.so